Vla-get-arcstartparam

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-get-arcstartparam vla-object)


機能
円弧の開始パラメータを取得する。


引数
  • vla-object … DimArcLength の VLA オブジェクト


戻り値
円弧の現在の開始パラメータ。


サンプル
(vl-load-com)
(defun c:Example_get_arcpoint()
    ;; 円弧と円弧寸法を作成して円弧寸法の点を返す
    (setq cadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument cadObj))
  
    (setq modelSpace (vla-get-ModelSpace doc))

    ;; 円弧を作成
    (setq center (vlax-3d-point 0 0 0))
    (setq arc (vla-AddArc modelSpace center 10 (/ PI 3) (/ (* PI 3) 4)))
    
    ;; 寸法を定義
    (setq arcPoint (vlax-3d-point 0 15 0)
          startPoint (vla-get-StartPoint arc)
          endPoint (vla-get-EndPoint arc))
  
    ;; 弧長寸法をモデルに作成
    (setq dimArcLength (vla-AddDimArc modelSpace center startPoint endPoint arcPoint))
    (vla-ZoomExtents cadObj)

    (vla-get-arcstartparam dimArcLength)
    (vla-get-arcendparam dimArcLength)
)



関連事項